Announcements
Attention for Customers without Multi-Factor Authentication or Single Sign-On - OTP Verification rolls out April 2025. Read all about it here.

Extrude profile curve along a path curve with overlapse

lkontopodisERZ4H
Participant

Extrude profile curve along a path curve with overlapse

lkontopodisERZ4H
Participant
Participant

Hello to all!

 

I want to extract a profile curve using a circle or a rectangle profile. However if there is over-lapse in vertices or in a line, the sweep surfaces do not work.


For example in the following path (coordinates) this will not work:

0,0,0

0,0,1

0,1,1

0,1,0

0,0,0

0,0,1

1,0,1

 

Screenshot 2022-01-04 at 12.41.59 PM.png

 

Do you know any possible solution, or an alternative way to extrude such a path?

 

Thanks in advance!

Lefteris.

0 Likes
Reply
Accepted solutions (2)
1,020 Views
14 Replies
Replies (14)

j.palmeL29YX
Mentor
Mentor

Not possible. 

You must create at least 2 separate sweepings (and if you need union this solids to one solid). 

>>sweep example<<

 

 

Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

0 Likes

parkr4st
Advisor
Advisor

0,0,0

0,0,1

0,1,1

0,0,1  should be 0,1,0????

0,0,0

0,0,1

1,0,1

 

make two objects. a  line and a rectangle.  SWEEP the circle profile and UNNION the solids

0,0,0

1,0,1

 

0,0,0

0,0,1

0,1,1

0,1,0

0,0,0

 

0 Likes

j.palmeL29YX
Mentor
Mentor

>>Here<< still another way, it is closer to your description. But both variants IMHO don't create a meaningful result. (I don't know what you want to get). 

Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

0 Likes

j.palmeL29YX
Mentor
Mentor

A for me meaningful result can be done >>this way<<

 

 

 

Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

0 Likes

lkontopodisERZ4H
Participant
Participant

Thanks for the responses! Indeed it is  "0,1,0" I corrected that to the original post.

 

The problem is that the original path that I want to extrude is very complex (thousands of lines generated through scr file, with a lot of over lapsing vertices and lines). So this cannot be done manually.

Is there any other way to do this task?


Thanks,
Lefteris.

0 Likes

lkontopodisERZ4H
Participant
Participant
the link do not work
0 Likes

j.palmeL29YX
Mentor
Mentor

@lkontopodisERZ4H wrote:
the link do not work

Which? I posted three videos ...

Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

0 Likes

lkontopodisERZ4H
Participant
Participant

Sorry, now works, but still this I cannot do this manually to thousand of pieces (as I described in message #6).

 

0 Likes

j.palmeL29YX
Mentor
Mentor

@lkontopodisERZ4H wrote:

  thousand of pieces


That I didn't know at the beginning. 

 

Perhaps you can get what you want this way: 

- First you must avoid (delete) overlapping path segments. You can do this with the overkill command. 

- After overkill you will get a bunch of separate path's. 

- Now you can run a small lisp to sweep the circle (or what you want to sweep) along each of the path's. 

(defun c:test ()
  (setq obj (entsel "\nobject to sweep: ")) ; Object to sweep	
  (setq ss (ssget))			; path objects
  (setq number (sslength ss))
  (repeat number
    (setq number (1- number))
    (setq path (ssname ss number))
    (command "sweep" obj "" path)
  )
)

 

 

A simple example is shown >>here<<

The LISP is a very rough draft. Not yet included in the LISP:

- You should set DELOBJ to 0 

- You must run the overkill command manually before starting the LISP. 

- If necessary you can explode the resulting Polylines to Lines. 

- error handling

- ... 

 

At the end you can union all resulting sweep solids. 

 

Only a first rough idea ... 

 

 

Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

0 Likes

lkontopodisERZ4H
Participant
Participant

I tried the above-mentioned method. The overkill is changing the structure of the design, so I managed to remove the duplicates using the explode command, and after that using your lisp file I reached almost the desired outcome. 

The wrong with that method is that it does not fixes the corners as desired, for example one result is this:

 

Screenshot 2022-01-09 at 10.23.48 PM.png

while I would like to perfectly close the edges like this:

Screenshot 2022-01-09 at 10.36.27 PM.png

 

Furthermore, even if I am using a rectangle to sweep the path, the is a small tilt among the edges, obvious in the next figure:

 

Screenshot 2022-01-09 at 11.12.37 PM.png

Is there any option to fix these problems?

 

Thanks,
Lefteris,

0 Likes

j.palmeL29YX
Mentor
Mentor

If you sweep a circle you can add small spheres (same radius as the circle) at the endpoints. I'm not sure which result you expect to achieve. That also can be done in the LISP.
To find what is going on with your rectangle sweeping we should see your .dwg file - please post it.

Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

0 Likes

lkontopodisERZ4H
Participant
Participant

Sorry for the inconvenience. I attach you the dwg file.

 

The main question is how will I achieve the corners not to have a missing cube.


So I want to replace this result:

Screenshot 2022-01-11 at 1.07.17 PM.png

with this:


Screenshot 2022-01-11 at 1.06.35 PM.png

Moreover, I am noticing that even if the initial path is aligned, the resulted sweep is not perfectly aligned:

Screenshot 2022-01-09 at 11.12.37 PM.png
Maybe this is due to the very low dimensions of the drawing? Otherwise how can I overcome this effect?
Thanks.

0 Likes

parkr4st
Advisor
Advisor
Accepted solution

are all the solids the same dimension?  i.e. 1x1x10 units?  would it be easier to make one and place the block by a reference point and direction?  

 

block 1 i.e   center end on 0,0,0  end would have -.5,.5-0   .5,.5,0  .5,-.5,0    -.5,-.5,0 as four corners of the base and the centr of the upper end would be extruded to 0,0,10

 

0,0,0 is the base point

 

the same block laid on the x axis has a base point of -.5,0-.5 and direction parallel to x axis

 

top end of vertical  -9.5,0,.5 parallel to x axis

 

perfect fit on the corners, no sweeping. extrustions.  fewer chances for errors?

 

code could be written to put the blocks where they belong oriented correctly?

0 Likes

j.palmeL29YX
Mentor
Mentor
Accepted solution

@lkontopodisERZ4H wrote:

 

Furthermore, even if I am using a rectangle to sweep the path, the is a small tilt among the edges, 


 

In the meantime I found out that the sweep command does not position the profile to be swept exactly in the center of gravity of the profile on the path. Only circles are positioned exactly. (Until now I was not aware of that, this knowledge is new for me 😞 ). Regardless of the other unsolved problems (filling corners), for that reason alone my above suggestion never can work for rectangles. Sorry for the confusion. 

 

Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

0 Likes